## quagga 0.99.20

=== debian/changelog ===
quagga (0.99.20-4) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format.
  * Switch to changelog-format-1.0.

 -- Christian Hammers <ch@debian.org>  Sat, 25 Feb 2012 18:52:06 +0100

quagga (0.99.20-3) unstable; urgency=low

  * Added --sysconfdir back to the configure options (thanks to Sven-Haegar
    Koch). Closes: #645649

 -- Christian Hammers <ch@debian.org>  Tue, 18 Oct 2011 00:24:37 +0200

quagga (0.99.20-2) unstable; urgency=low

  * Bumped standards version to 0.9.2.
  * Migrated to "dh" build system.
  * Added quagga-dbg package. 

 -- Christian Hammers <ch@debian.org>  Fri, 14 Oct 2011 23:59:26 +0200

quagga (0.99.20-1) unstable; urgency=low

  * New upstream release:
    "The primary focus of this release is a fix of SEGV regression in ospfd,
     which was introduced in 0.99.19. It also features a series of minor 
     improvements, including better RFC compliance in bgpd, better support
     of FreeBSD and some enhancements to isisd."
  * Fixes off-by-one bug (removed 20_ospf6_area_argv.dpatch). Closes: #519488

 -- Christian Hammers <ch@debian.org>  Fri, 30 Sep 2011 00:59:24 +0200

quagga (0.99.19-1) unstable; urgency=high

  * SECURITY:
    "This release provides security fixes, which address assorted
     vulnerabilities in bgpd, ospfd and ospf6d (CVE-2011-3323,
     CVE-2011-3324, CVE-2011-3325, CVE-2011-3326 and CVE-2011-3327).
  * New upstream release.
  * Removed incorporated debian/patches/92_opaque_lsa_enable.dpatch.
  * Removed incorporated debian/patches/93_opaque_lsa_fix.dpatch.
  * Removed obsolete debian/README.Debian.Woody and README.Debian.MD5.

 -- Christian Hammers <ch@debian.org>  Tue, 27 Sep 2011 00:16:27 +0200

quagga (0.99.18-1) unstable; urgency=low

  * SECURITY:
    "This release fixes 2 denial of services in bgpd, which can be remotely
    triggered by malformed AS-Pathlimit or Extended-Community attributes.
    These issues have been assigned CVE-2010-1674 and CVE-2010-1675. 
    Support for AS-Pathlimit has been removed with this release."
  * Added Brazilian Portuguese debconf translation. Closes: #617735
  * Changed section for quagga-doc from "doc" to "net".
  * Added patch to fix FTBFS with latest GCC. Closes: #614459

 -- Christian Hammers <ch@debian.org>  Tue, 22 Mar 2011 23:13:34 +0100

quagga (0.99.17-4) unstable; urgency=low

  * Added comment to init script (thanks to Marc Haber). Closes: #599524 

 -- Christian Hammers <ch@debian.org>  Thu, 13 Jan 2011 23:53:29 +0100

quagga (0.99.17-3) unstable; urgency=low

  * Fix FTBFS with ld --as-needed (thanks to Matthias Klose at Ubuntu).
    Closes: #609555

 -- Christian Hammers <ch@debian.org>  Thu, 13 Jan 2011 23:27:06 +0100

quagga (0.99.17-2) unstable; urgency=low

  * Added Danisch Debconf translation (thanks to Joe Dalton). Closes: #596259 

 -- Christian Hammers <ch@debian.org>  Sat, 18 Sep 2010 12:20:07 +0200

quagga (0.99.17-1) unstable; urgency=high

  * SECURITY:
    "This release provides two important bugfixes, which address remote crash
    possibility in bgpd discovered by CROSS team.":
    1. Stack buffer overflow by processing certain Route-Refresh messages
       CVE-2010-2948
    2. DoS (crash) while processing certain BGP update AS path messages
       CVE-2010-2949
    Closes: #594262

 -- Christian Hammers <ch@debian.org>  Wed, 25 Aug 2010 00:52:48 +0200

quagga (0.99.16-1) unstable; urgency=low

  * New upstream release. Closes: #574527 
  * Added chrpath to debian/rules to fix rpath problems that lintian spottet.

 -- Christian Hammers <ch@debian.org>  Sun, 21 Mar 2010 17:05:40 +0100

quagga (0.99.15-2) unstable; urgency=low

  * Applied patch for off-by-one bug in ospf6d that caused a segmentation
    fault when using the "area a.b.c.d filter-list prefix" command (thanks
    to Steinar H. Gunderson). Closes: 519488

 -- Christian Hammers <ch@debian.org>  Sun, 14 Feb 2010 20:02:03 +0100

quagga (0.99.15-1) unstable; urgency=low

  * New upstream release
    "This fixes some annoying little ospfd and ospf6d regressions, which made
    0.99.14 a bit of a problem release (...) This release still contains a 
    regression in the "no ip address ..." command, at least on Linux. 
    See bug #486, which contains a workaround patch. This release should be 
    considered a 1.0.0 release candidate. Please test this release as widely
    as possible."
  * Fixed wrong port number in zebra.8 (thanks to Thijs Kinkhorst). 
    Closes: #517860
  * Added Russian Debconf tanslation (thanks to Yuri Kozlov). 
    Closes: #539464
  * Removed so-version in build-dep to libreadline-dev on request of 
    Matthias Klose.
  * Added README.source with reference to dpatch as suggested by lintian.
  * Bumped standards versionto 3.8.3.

 -- Christian Hammers <ch@debian.org>  Sun, 13 Sep 2009 18:12:06 +0200

quagga (0.99.14-1) unstable; urgency=low

  * New upstream release
    "This release contains a regression fix for ospf6d, various small fixes
    and some hopefully very significant bgpd stability fixes.
    This release should be considered a 1.0.0 release candidate. Please test
    this release as widely as possible."
  * Fixes bug with premature LSA aging in ospf6d. Closes: #535030
  * Fixes section number in zebra.8 manpage. Closes: #517860

 -- Christian Hammers <ch@debian.org>  Sat, 25 Jul 2009 00:40:38 +0200

quagga (0.99.13-2) unstable; urgency=low

  * Added Japanese Debconf translation (thanks to Hideki Yamane). 
    Closes: #510714 
  * When checking for obsoleted config options in preinst, print filename
    where it occures (thanks to Michael Bussmann). Closes: #339489

 -- Christian Hammers <ch@debian.org>  Sun, 19 Jul 2009 17:13:23 +0200

quagga (0.99.13-1) unstable; urgency=low

  * New upstream release
    "This release is contains a number of small fixes, for potentially
    irritating issues, as well as small enhancements to vtysh and support
    for linking to PCRE (a much faster regex library)."

