## quagga 0.99.20.1

=== debian/changelog ===
quagga (0.99.20.1-0+squeeze5) oldstable-security; urgency=high

  * SECURITY:
     ospfd: CVE-2013-2236, stack overrun in apiserver
 
     the OSPF API-server (exporting the LSDB and allowing announcement of
     Opaque-LSAs) writes past the end of fixed on-stack buffers.  This leads
     to an exploitable stack overflow.

     For this condition to occur, the following two conditions must be true:
     - Quagga is configured with --enable-opaque-lsa
     - ospfd is started with the "-a" command line option
     Closes: #726724
  * Re-upload with corrected distribution.

 -- Christian Hammers <ch@debian.org>  Sun, 24 Nov 2013 15:41:48 +0100

quagga (0.99.20.1-0+squeeze4) stable-security; urgency=high

  * SECURITY:
     ospfd: CVE-2013-2236, stack overrun in apiserver
 
     the OSPF API-server (exporting the LSDB and allowing announcement of
     Opaque-LSAs) writes past the end of fixed on-stack buffers.  This leads
     to an exploitable stack overflow.

     For this condition to occur, the following two conditions must be true:
     - Quagga is configured with --enable-opaque-lsa
     - ospfd is started with the "-a" command line option
     Closes: #726724

 -- Christian Hammers <ch@debian.org>  Mon, 28 Oct 2013 00:51:48 +0100

quagga (0.99.20.1-0+squeeze3) stable-security; urgency=high

  * SECURITY:
    CVE-2012-1820 - Quagga contained a bug in BGP OPEN message handling.
    A denial-of-service condition could be caused by an attacker controlling
    one of the pre-configured BGP peers. In most cases this means, that the
    attack must be originated from an adjacent network. Closes: #676510

 -- Christian Hammers <ch@debian.org>  Fri, 08 Jun 2012 01:27:32 +0200

quagga (0.99.20.1-0+squeeze2) stable-security; urgency=high

  * Applied fix for a bgpd memory leak related to extra attributes.
    The bug was intruduced with the upgrade to 0.99.20.1 with the 
    latest security release. Closes: #670940

 -- Christian Hammers <ch@debian.org>  Fri, 04 May 2012 08:54:40 +0200

quagga (0.99.20.1-0+squeeze1) stable-security; urgency=high

  * SECURITY:
    CVE-2012-0249 - Quagga ospfd DoS on malformed LS-Update packet
    CVE-2012-0250 - Quagga ospfd DoS on malformed Network-LSA data
    CVE-2012-0255 - Quagga bgpd DoS on malformed OPEN message
  * New upstream release (backport was not feasible). Closes: #664033

 -- Christian Hammers <ch@debian.org>  Fri, 16 Mar 2012 22:14:05 +0100
