## quagga 0.99.21

=== debian/changelog ===
quagga (0.99.21-3~bpo60+2) squeeze-backports; urgency=high

  * SECURITY:
     ospfd: CVE-2013-2236, stack overrun in apiserver
 
     the OSPF API-server (exporting the LSDB and allowing announcement of
     Opaque-LSAs) writes past the end of fixed on-stack buffers.  This leads
     to an exploitable stack overflow.

     For this condition to occur, the following two conditions must be true:
     - Quagga is configured with --enable-opaque-lsa
     - ospfd is started with the "-a" command line option
     Closes: #726724

 -- Christian Hammers <ch@debian.org>  Mon, 11 Nov 2013 23:36:58 +0100

quagga (0.99.21-3~bpo60+1) squeeze-backports; urgency=high

  * Backport of CVE-2012-1820 for squeeze.

 -- Christian Hammers <ch@debian.org>  Sun, 10 Jun 2012 20:00:41 +0200

quagga (0.99.21-3) unstable; urgency=high

  * SECURITY:
    CVE-2012-1820 - Quagga contained a bug in BGP OPEN message handling.
    A denial-of-service condition could be caused by an attacker controlling
    one of the pre-configured BGP peers. In most cases this means, that the
    attack must be originated from an adjacent network. Closes: #676510

 -- Christian Hammers <ch@debian.org>  Fri, 08 Jun 2012 01:15:32 +0200

quagga (0.99.21-2) unstable; urgency=low

  * Renamed babeld.8 to quagga-babeld.8 as it conflicted with the
    original mapage of the babeld package which users might want to
    install in parallel as it is slightly more capable. Closes: #671916

 -- Christian Hammers <ch@debian.org>  Thu, 10 May 2012 07:53:01 +0200

quagga (0.99.21-1) unstable; urgency=low

  * New upstream release
    - [bgpd] BGP multipath support has been merged
    - [bgpd] SAFI (Multicast topology) support has been extended to propagate
      the topology to zebra.
    - [bgpd] AS path limit functionality has been removed
    - [babeld] a new routing daemon implementing the BABEL ad-hoc mesh routing
      protocol has been merged.
    - [isisd] a major overhaul has been picked up. Please note that isisd is
      STILL NOT SUITABLE FOR PRODUCTION USE. 
    - a lot of bugs have been fixed
  * Added watchquagga daemon.
  * Added DEP-3 conforming patch comments.

 -- Christian Hammers <ch@debian.org>  Sun, 06 May 2012 15:33:33 +0200

quagga (0.99.20.1-1) unstable; urgency=high

  * SECURITY:
    CVE-2012-0249 - Quagga ospfd DoS on malformed LS-Update packet
    CVE-2012-0250 - Quagga ospfd DoS on malformed Network-LSA data
    CVE-2012-0255 - Quagga bgpd DoS on malformed OPEN message
  * New upstream release. Closes: #664033

 -- Christian Hammers <ch@debian.org>  Fri, 16 Mar 2012 22:14:05 +0100
