## quagga 0.99.22

=== debian/changelog ===
quagga (0.99.22-1) unstable; urgency=low

  * New upstream release. 
    - [bgpd] The semantics of default-originate route-map have changed.
      The route-map is now used to advertise the default route conditionally.
      The old behaviour which allowed to set attributes on the originated
      default route is no longer supported.
    - [bgpd] this version of bgpd implements draft-idr-error-handling.  This was
      added in 0.99.21 and may not be desirable.  If you need a version
      without this behaviour, please use 0.99.20.1.  There will be a
      runtime configuration switch for this in future versions.
    - [isisd] is in "beta" state.
    - [ospf6d] is in "alpha/experimental" state
    - More changes are documented in the upstream changelog!
  * debian/watch: Adjusted to new savannah.gnu.org site, thanks to Bart 
    Martens.
  * debian/patches/99_CVE-2012-1820_bgp_capability_orf.diff removed as its
    in the changelog.
  * debian/patches/99_distribute_list.diff removed as its in the changelog.
  * debian/patches/10_doc__Makefiles__makeinfo-force.diff removed as it
    was just for Debian woody.

 -- Christian Hammers <ch@debian.org>  Thu, 14 Feb 2013 00:22:00 +0100

quagga (0.99.21-4) unstable; urgency=medium

  * Fixed regression bug that caused OSPF "distribute-list" statements to be
    silently ignored. The patch has already been applied upstream but there
    has been no new Quagga release since then.
    Thanks to Hans van Kranenburg for reporting. Closes: #697240

 -- Christian Hammers <ch@debian.org>  Sun, 06 Jan 2013 15:50:32 +0100
