## quagga 0.99.22.1

=== debian/changelog ===
quagga (0.99.22.1-2) unstable; urgency=low

  * Added autopkgtests (thanks to Yolanda Robla). Closes: #710147 
  * Added "status" command to init script (thanks to James Andrewartha).
    Closes: #690013
  * Added "libsnmp-dev" to Build-Deps. There not needed for the official
    builds but for people who compile Quagga themselves to activate the
    SNMP feature (which for licence reasons cannot be done by Debian).
    Thanks to Ben Winslow). Closes: #694852
  * Changed watchquagga_options to an array so that quotes can finally
    be used as expected. Closes: #681088 
  * Fixed bug that prevented restarting only the watchquagga daemon
    (thanks to Harald Kappe). Closes: #687124

 -- Christian Hammers <ch@debian.org>  Sat, 27 Jul 2013 16:06:25 +0200

quagga (0.99.22.1-1) unstable; urgency=low

  * New upstream release
    - ospfd restore nexthop IP for p2p interfaces
    - ospfd: fix LSA initialization for build without opaque LSA
    - ripd: correctly redistribute ifindex routes (BZ#664)
    - bgpd: fix lost passwords of grouped neighbors
  * Removed 91_ld_as_needed.diff as it was found in the upstream source.

 -- Christian Hammers <ch@debian.org>  Mon, 22 Apr 2013 22:21:20 +0200
