## quagga 0.99.22.4

=== debian/changelog ===
quagga (0.99.22.4-3ubuntu1) trusty; urgency=medium

  * Fix build failure with readline-6.3.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 21 Mar 2014 16:21:45 +0100

quagga (0.99.22.4-3) unstable; urgency=low

  * Added status to init script (thanks to Peter J. Holzer). Closes: #730625 
  * Init script now sources /lib/lsb/init-functions.
  * Switched from hardening-wrapper to dpkg-buildflags. 

 -- Christian Hammers <ch@debian.org>  Wed, 01 Jan 2014 19:12:01 +0100

quagga (0.99.22.4-2) unstable; urgency=low

  * Fixed typo in package description (thanks to Davide Prina). 
    Closes: #625860
  * Added Italian Debconf translation (thanks to Beatrice Torracca)
    Closes: #729798

 -- Christian Hammers <ch@debian.org>  Tue, 26 Nov 2013 00:47:11 +0100

quagga (0.99.22.4-1) unstable; urgency=high

  * SECURITY:
    "ospfd: CVE-2013-2236, stack overrun in apiserver

    the OSPF API-server (exporting the LSDB and allowing announcement of
    Opaque-LSAs) writes past the end of fixed on-stack buffers.  This leads
    to an exploitable stack overflow.
 
    For this condition to occur, the following two conditions must be true:
    - Quagga is configured with --enable-opaque-lsa
    - ospfd is started with the "-a" command line option
    
    If either of these does not hold, the relevant code is not executed and
    the issue does not get triggered."
    Closes: #726724
   
  * New upstream release
    - ospfd: protect vs. VU#229804 (malformed Router-LSA)
      (Quagga is said to be non-vulnerable but still adds some protection)

 -- Christian Hammers <ch@debian.org>  Thu, 24 Oct 2013 22:58:37 +0200
