=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Priority: optional
 Maintainer: Christian Hammers <ch@debian.org>
 Uploaders: Florian Weimer <fw@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), libncurses5-dev, libreadline-dev, texlive-latex-base, texlive-generic-recommended, libpam0g-dev | libpam-dev, libcap-dev, texinfo (>= 4.7), imagemagick, ghostscript, groff, po-debconf, autotools-dev, hardening-wrapper, libpcre3-dev, gawk, chrpath
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 7.0.50~), libncurses5-dev, libreadline-dev, texlive-latex-base, texlive-generic-recommended, libpam0g-dev | libpam-dev, libcap-dev, texinfo (>= 4.7), imagemagick, ghostscript, groff, po-debconf, autotools-dev, libpcre3-dev, gawk, chrpath, libsnmp-dev
+Standards-Version: 3.9.5
 Homepage: http://www.quagga.net/
+XS-Testsuite: autopkgtest
 
 Package: quagga
 Architecture: any
@@ -19,7 +20,7 @@
  It supports BGP4, BGP4+, OSPFv2, OSPFv3, IS-IS, RIPv1, RIPv2, and RIPng as
  well as the IPv6 versions of these.
  .
- As the precessor Zebra has been considered orphaned, the Quagga project
+ As the predecessor Zebra has been considered orphaned, the Quagga project
  has been formed by members of the zebra mailing list and the former
  zebra-pj project to continue developing.
  .
