=== debian/tests/control ===
Tests: daemons
Depends: quagga
Restrictions: needs-root
