## quagga 0.99.23

=== debian/changelog ===
quagga (0.99.23-1) unstable; urgency=low

  * New upstream release
  * Removed debian/patches/readline-6.3.diff which was already in upstream.

 -- Christian Hammers <ch@debian.org>  Tue, 08 Jul 2014 09:15:48 +0200

quagga (0.99.22.4-4) unstable; urgency=medium

  * Fix build failure with readline-6.3 (thanks to Matthias Klose).
    Closes: #741774

 -- Christian Hammers <ch@debian.org>  Sun, 23 Mar 2014 15:28:42 +0100
