## quagga 0.99.23.1

=== debian/changelog ===
quagga (0.99.23.1-1) unstable; urgency=medium

  * New upstream release
  * Added .png figures for info files to quagga-doc package.
  * Changed dependency from iproute to iproute2 (thanks to Andreas
    Henriksson). Closes: #753736
  * Added texlive-fonts-recommended to build-depends to get ecrm1095 font
    (thanks to Christoph Biedl). Closes: #651545

 -- Christian Brunotte <ch@debian.org>  Tue, 30 Sep 2014 00:20:12 +0200
