=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 export DH_VERBOSE=1
-export DEB_BUILD_HARDENING=1
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 ifeq ($(WANT_SNMP), 1)
   USE_SNMP=--enable-snmp
@@ -36,7 +36,7 @@
 	fi
 	
 	dh_auto_configure -- \
- 		--enable-exampledir=/usr/share/doc/quagga/examples/ \
+		--enable-exampledir=/usr/share/doc/quagga/examples/ \
 		--localstatedir=/var/run/quagga \
 		--sbindir=/usr/lib/quagga \
 		--sysconfdir=/etc/quagga \
@@ -57,7 +57,8 @@
  		--enable-logfile-mask=0640 \
  		--enable-rtadv \
  		--enable-gcc-rdynamic \
- 		--with-libpam
+ 		--with-libpam \
+		$(shell dpkg-buildflags --export=configure)
 	
 	if ! diff -b -IHAVE_SNMP -IHAVE_NETSNMP -IUCD_COMPAT -IGETIFADDR debian/my/config.h.reference config.h; then \
 		echo; \
@@ -80,6 +81,7 @@
 	
 	# cleaning up the info dir
 	rm -f debian/tmp/usr/share/info/dir*
+	cp doc/fig*.png debian/tmp/usr/share/info/
 	
 	# install config files
 	mkdir -p debian/tmp/etc/quagga/
@@ -90,6 +92,9 @@
 	# installing the Quagga specific SNMP MIB
 	install -D -m 644 ./zebra/GNOME-PRODUCT-ZEBRA-MIB debian/tmp/usr/share/snmp/mibs/GNOME-PRODUCT-ZEBRA-MIB
 	
+	# installing custom man page
+	cp debian/my/babeld.8 debian/tmp/usr/share/man/man8/quagga-babeld.8
+	
 	# cleaning .la files
 	sed -i "/dependency_libs/ s/'.*'/''/" debian/tmp/usr/lib/*.la
