## quagga 0.99.24.1

=== debian/changelog ===
quagga (0.99.24.1-2ubuntu1.4) xenial-security; urgency=medium

  * SECURITY UPDATE: DoS and possible code execution via double-free
    - debian/patches/Quagga-2018-1114.patch: fix double-free in
      bgpd/bgp_attr.c, bgpd/bgp_attr.h.
    - No CVE number
  * SECURITY UPDATE: code-to-string conversion table overrun
    - debian/patches/Quagga-2018-1550.patch: limit size in
      bgpd/bgp_debug.c.
    - No CVE number
  * SECURITY UPDATE: hang via invalid OPEN message
    - debian/patches/Quagga-2018-1975.patch: fix infinite loop in
      bgpd/bgp_packet.c.
    - No CVE number

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 07 Feb 2018 07:34:42 -0500

quagga (0.99.24.1-2ubuntu1.3) xenial-security; urgency=medium

  * SECURITY UPDATE: DoS via telnet CLI
    - debian/patches/CVE-2017-5495-1.patch: limit size of vty buffer to
      4096 bytes in lib/command.c, lib/vty.c, lib/vty.h, vtysh/vtysh.c.
    - debian/patches/CVE-2017-5495-2.patch: ensure vty buf is nul
      terminated and wrap puts to it with checks in lib/vty.c.
    - CVE-2017-5495
  * SECURITY UPDATE: DoS via BGP UPDATE messages
    - debian/patches/CVE-2017-16227.patch: fix AS_PATH size calculation for
      long paths in bgpd/bgp_aspath.c.
    - CVE-2017-16227

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 30 Oct 2017 10:25:44 -0400

quagga (0.99.24.1-2ubuntu1.2) xenial-security; urgency=medium

  * SECURITY UPDATE: denial of service via stack overrun in IPv6 RA receive
    code
    - debian/patches/CVE-2016-1245.patch: use proper buffer size in
      zebra/rtadv.c.
    - CVE-2016-1245

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 18 Oct 2016 15:17:55 +0200

quagga (0.99.24.1-2ubuntu1.1) xenial-security; urgency=medium

  * SECURITY UPDATE: insecure directory permissions
    - debian/quagga.postinst: set proper directory permissions on
      /etc/quagga, /var/log/quagga, /var/run/quagga.
    - CVE-2016-4036
  * SECURITY UPDATE: denial of service via a large BGP packet
    - debian/patches/dump_fix.patch: create multiple MRT records if there
      is too much data for a prefix in bgpd/bgp_dump.c.
    - CVE-2016-4049

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 12 Oct 2016 15:58:30 -0400

quagga (0.99.24.1-2ubuntu1) xenial; urgency=medium

  * SECURITY UPDATE: denial of service or arbitrary code execution via
    Labeled-VPN SAFI and crafted packet
    - debian/patches/CVE-2016-2342.patch: sanity check lengths in
      bgpd/bgp_mplsvpn.c.
    - CVE-2016-2342

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 23 Mar 2016 08:09:49 -0400

quagga (0.99.24.1-2) unstable; urgency=low

  * Renamed manpage pim.8 to quagga-pim.8 as the former name is already used
    by the pimd package. Closes: 780252

 -- Christian Brunotte <ch@debian.org>  Thu, 12 Mar 2015 22:37:41 +0100

quagga (0.99.24.1-1) unstable; urgency=low

  * New upstream release
  * Upstream fix for Zebra crash. 

 -- Christian Brunotte <ch@debian.org>  Sun, 08 Mar 2015 02:04:18 +0100

quagga (0.99.24-1) unstable; urgency=low

  * New upstream release

 -- Christian Brunotte <ch@debian.org>  Wed, 04 Mar 2015 22:15:50 +0100
