=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: quagga
 Section: net
 Priority: optional
-Maintainer: Christian Hammers <ch@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Christian Hammers <ch@debian.org>
 Uploaders: Florian Weimer <fw@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), libncurses5-dev, libreadline-dev, texlive-latex-base, texlive-generic-recommended, libpam0g-dev | libpam-dev, libcap-dev, texinfo (>= 4.7), imagemagick, ghostscript, groff, po-debconf, autotools-dev, libpcre3-dev, gawk, chrpath, libsnmp-dev
+Build-Depends: debhelper (>= 7.0.50~), libncurses5-dev, libreadline-dev, texlive-latex-base, texlive-generic-recommended, texlive-fonts-recommended, libpam0g-dev | libpam-dev, libcap-dev, texinfo (>= 4.7), imagemagick, ghostscript, groff, po-debconf, autotools-dev, libpcre3-dev, gawk, chrpath, libsnmp-dev, dh-autoreconf
 Standards-Version: 3.9.5
 Homepage: http://www.quagga.net/
 XS-Testsuite: autopkgtest
 
 Package: quagga
 Architecture: any
-Depends: ${shlibs:Depends}, logrotate (>= 3.2-11), iproute, ${misc:Depends}
+Depends: ${shlibs:Depends}, logrotate (>= 3.2-11), iproute2, ${misc:Depends}
 Pre-Depends: adduser
 Conflicts: zebra, zebra-pj
 Replaces: zebra, zebra-pj
