=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,8 @@
 
 override_dh_auto_clean:
 	dh_auto_clean
+	dh_autoreconf_clean
+	dh_clean
 	
 	@echo "BEGIN CRUFT"
 	@rm -vf */Makefile doc/quagga.fns doc/quagga.info doc/quagga.kys doc/quagga.tmp doc/quagga.pdf doc/quagga.info-*
@@ -35,6 +37,7 @@
 	   exit 1; \
 	fi
 	
+	dh_autoreconf
 	dh_auto_configure -- \
 		--enable-exampledir=/usr/share/doc/quagga/examples/ \
 		--localstatedir=/var/run/quagga \
@@ -57,6 +60,7 @@
  		--enable-logfile-mask=0640 \
  		--enable-rtadv \
  		--enable-gcc-rdynamic \
+		--enable-pimd \
  		--with-libpam \
 		$(shell dpkg-buildflags --export=configure)
 	
@@ -94,6 +98,8 @@
 	
 	# installing custom man page
 	cp debian/my/babeld.8 debian/tmp/usr/share/man/man8/quagga-babeld.8
+	# renaming man page that collides with one from the pimd package
+	mv debian/tmp/usr/share/man/man8/pimd.8 debian/tmp/usr/share/man/man8/quagga-pimd.8
 	
 	# cleaning .la files
 	sed -i "/dependency_libs/ s/'.*'/''/" debian/tmp/usr/lib/*.la
