=== debian/control ===
Source: quagga
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
Uploaders: Florian Weimer <fw@debian.org>
Build-Depends: autotools-dev,
               chrpath,
               debhelper (>= 7.0.50~),
               dh-autoreconf,
               gawk,
               ghostscript,
               groff,
               imagemagick,
               libcap-dev,
               libncurses5-dev,
               libpam0g-dev | libpam-dev,
               libpcre3-dev,
               libreadline-dev,
               libsnmp-dev,
               po-debconf,
               texinfo (>= 4.7),
               texlive-fonts-recommended,
               texlive-generic-recommended,
               texlive-latex-base
Standards-Version: 3.9.8
Homepage: http://www.quagga.net/
XS-Testsuite: autopkgtest

Package: quagga
Architecture: any
Depends: iproute2,
         logrotate (>= 3.2-11),
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: adduser
Conflicts: zebra,
           zebra-pj
Replaces: zebra,
          zebra-pj
Suggests: snmpd
Description: BGP/OSPF/RIP routing daemon
 GNU Quagga is free software which manages TCP/IP based routing protocols.
 It supports BGP4, BGP4+, OSPFv2, OSPFv3, IS-IS, RIPv1, RIPv2, and RIPng as
 well as the IPv6 versions of these.
 .
 As the predecessor Zebra has been considered orphaned, the Quagga project
 has been formed by members of the zebra mailing list and the former
 zebra-pj project to continue developing.
 .
 Quagga uses threading if the kernel supports it, but can also run on
 kernels that do not support threading. Each protocol has its own daemon.
 .
 It is more than a routed replacement, it can be used as a Route Server and
 a Route Reflector.

Package: quagga-dbg
Architecture: any
Depends: quagga (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Priority: extra
Section: debug
Description: BGP/OSPF/RIP routing daemon (debug symbols)
 This package provides debugging symbols for all binary packages built from
 quagga source package. It's highly recommended to have this package installed
 before reporting any Quagga crashes to either Quagga developers or Debian
 package maintainers.

Package: quagga-doc
Section: net
Architecture: all
Depends: ${misc:Depends}
Suggests: quagga
Description: documentation files for quagga
 This package includes info files for quagga, a free software which manages
 TCP/IP based routing protocols.  It supports BGP4, BGP4+, OSPFv2, OSPFv3,
 IS-IS, RIPv1, RIPv2, and RIPng as well as the IPv6 versions of these.
