=== debian/rules ===
--- 
+++ 
@@ -44,12 +44,8 @@
 		--sbindir=/usr/lib/quagga \
 		--sysconfdir=/etc/quagga \
 	    $(USE_SNMP) \
- 		--enable-vtysh \
  		--enable-isisd \
  		--enable-watchquagga \
- 		--enable-ospf-te \
- 		--enable-opaque-lsa \
- 		--enable-ipv6 \
  		--enable-ospfclient=yes \
  		--enable-ospfapi=yes \
  		--enable-multipath=64 \
@@ -60,7 +56,6 @@
  		--enable-logfile-mask=0640 \
  		--enable-rtadv \
  		--enable-gcc-rdynamic \
-		--enable-pimd \
  		--with-libpam \
 		$(shell dpkg-buildflags --export=configure)
 	
@@ -96,8 +91,6 @@
 	# installing the Quagga specific SNMP MIB
 	install -D -m 644 ./zebra/GNOME-PRODUCT-ZEBRA-MIB debian/tmp/usr/share/snmp/mibs/GNOME-PRODUCT-ZEBRA-MIB
 	
-	# installing custom man page
-	cp debian/my/babeld.8 debian/tmp/usr/share/man/man8/quagga-babeld.8
 	# renaming man page that collides with one from the pimd package
 	mv debian/tmp/usr/share/man/man8/pimd.8 debian/tmp/usr/share/man/man8/quagga-pimd.8
